Variable: GatewayUsageLimitsPolicySchema
const GatewayUsageLimitsPolicySchema: z.ZodType<{
[key: string]: unknown;
id: string;
name?: string | null;
conditions?: GatewayCondition[];
group_by?: GatewayGroupBy[];
type: string;
credit_limit?: number;
alert_threshold?: number | null;
periodic_reset?: string | null;
periodic_reset_days?: number | null;
next_usage_reset_at?: string | null;
last_reset_at?: string | null;
status: string;
workspace_id: string;
organisation_id: string;
created_at: string;
last_updated_at: string;
value_key_usage_map?: {
[key: string]: {
[key: string]: unknown;
current_usage?: number;
status?: string;
is_threshold_alerts_sent?: boolean;
is_exhausted_alerts_sent?: boolean;
};
};
}>;
Defined in: src/models/ai-gateway-extensions.ts:655
SCM UsageLimitsPolicy; unknown response fields are preserved.